<!DOCTYPE html>
<html>
<head>
<meta charset='utf-8' />
{% load static %}
<link href="{% static 'Soutenances/css/fullcalendar.min.css' %}" rel='stylesheet' />
<link href="{% static 'Soutenances/css/ffullcalendar.print.min.css' %}" rel='stylesheet' media='print' />
<script src="{% static 'Soutenances/js/moment.min.js' %}"></script>
<script src="{% static 'Soutenances/js/jquery.min.js' %}"></script>
<script src="{% static 'Soutenances/js/fullcalendar.min.js' %}"></script>
<script src="{% static 'Soutenances/js/fr.js' %}"></script>
<link href="{% static 'Soutenances/css/main.css' %}" rel='stylesheet' />
<script>

	$(document).ready(function() {
		var initialLocaleCode = 'fr';
		var event = [];
		{% for slot in slots %}
			var dat = new Date("{{slot.date}}");
			var debut = dat.getFullYear()+'-'+(dat.getMonth()+1)+'-'+dat.getDate()+'T'+"{{slot.heure_debut}}";
			var fin = dat.getFullYear()+'-'+(dat.getMonth()+1)+'-'+dat.getDate()+'T'+"{{slot.heure_fin}}";
			var json = {
			title: 'soutenances',
			start: debut,
			end: fin,
			}
			event.push(json);
		{% endfor %}

		$('#calendar').fullCalendar({
			header: {
				left: 'prev,next today',
				center: 'title',
				right: 'month,agendaWeek,agendaDay,listMonth'
			},
			defaultDate: '2017-11-12',
			dayNamesShort: ['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'],
			hiddenDays: [0],
			minTime:'08:00:00',
			maxTime:'20:00:00',
			locale: initialLocaleCode,
			buttonIcons: true, // show the prev/next text
			weekNumbers: true,
			navLinks: true, // can click day/week names to navigate views
			editable: true,
			eventLimit: true, // allow "more" link when too many events
			eventBackgroundColor:'#880360',
			eventBorderColor:'#880360',
			events: [
				{% for slot in slots %}
				{
					title: 'soutenances',
					start: ''+new Date("{{slot.date}}").getFullYear()+'-'+(new Date("{{slot.date}}").getMonth()+1)+'-'+new Date("{{slot.date}}").getDate()+'T'+"{{slot.heure_debut}}",
					end: new Date("{{slot.date}}").getFullYear()+'-'+(new Date("{{slot.date}}").getMonth()+1)+'-'+new Date("{{slot.date}}").getDate()+'T'+"{{slot.heure_fin}}"
				},
				{% endfor %}
			],
			// events: [
			// 	{
			// 		title: 'All Day Event',
			// 		start: '2017-11-01'
			// 	},
			// 	{
			// 		title: 'Long Event',
			// 		start: '2017-11-07',
			// 		end: '2017-11-10'
			// 	},
			// 	{
			// 		id: 999,
			// 		title: 'Repeating Event',
			// 		start: '2017-11-09T16:00:00'
			// 	},
			// 	{
			// 		id: 999,
			// 		title: 'Repeating Event',
			// 		start: '2017-11-16T16:00:00'
			// 	},
			// 	{
			// 		title: 'Conference',
			// 		start: '2017-11-11',
			// 		end: '2017-11-13'
			// 	},
			// 	{
			// 		title: 'Meeting',
			// 		start: '2017-11-12T10:30:00',
			// 		end: '2017-11-12T12:30:00'
			// 	},
			// 	{
			// 		title: 'Lunch',
			// 		start: '2017-11-12T12:00:00'
			// 	},
			// 	{
			// 		title: 'Meeting',
			// 		start: '2017-11-12T14:30:00'
			// 	},
			// 	{
			// 		title: 'Happy Hour',
			// 		start: '2017-11-12T17:30:00'
			// 	},
			// 	{
			// 		title: 'Dinner',
			// 		start: '2017-11-12T20:00:00'
			// 	},
			// 	{
			// 		title: 'Birthday Party',
			// 		start: '2017-11-13T07:00:00'
			// 	},
			// 	{
			// 		title: 'Click for Google',
			// 		url: 'http://google.com/',
			// 		start: '2017-11-28'
			// 	}
			// ]
		});

		// build the locale selector's options
		// $.each($.fullCalendar.locales, function(localeCode) {
		// 	$('#locale-selector').append(
		// 		$('<option/>')
		// 			.attr('value', localeCode)
		// 			.prop('selected', localeCode == initialLocaleCode)
		// 			.text(localeCode)
		// 	);
		// });
		//
		// // when the selected option changes, dynamically change the calendar option
		// $('#locale-selector').on('change', function() {
		// 	if (this.value) {
		// 		$('#calendar').fullCalendar('option', 'locale', this.value);
		// 	}
		// });
	});

</script>
<style>

	body {
		margin: 0;
		padding: 0;
		font-family: "Lucida Grande",Helvetica,Arial,Verdana,sans-serif;
		font-size: 14px;
	}

	#calendar {
		max-width: 900px;
		margin: 40px auto;
		padding: 0 10px;
	}

</style>
</head>
<body>
	<main>
	<section>
		<section>
			<label>Enseignant</label>
			<input type="text" name="enseignant" value="">
		</section>
		<section>
			<label>Date</label>
			<input type="date" name="data" value="2017-11-28">
		</section>
		<section>
			<label>Heure de début</label>
			<input type="heure" name="heureDebut" value="08:00:00">
		</section>
		<section>
			<label>Heure de fin</label>
			<input type="heure" name="heureFin" value="10:00:00">
		</section>
		<section>
			<input type="button" id="envoi" name="envoi" value="Envoyer">
		</section>



	</section>


	<div id='calendar'></div>
</main>

	<script>
	$( "input#envoi" ).click(function() {

		let salut = $("input[name=data]").val() + "T" + $("input[name=heureDebut]").val();
		console.log(salut);

		let event={
			id:1 ,
			title: $("input[name=enseignant]").val(),
			start: $("input[name=data]").val() + "T" + $("input[name=heureDebut]").val(),
			end:$("input[name=data]").val() + "T" + $("input[name=heureFin]").val()
		}; // ici ajout via js, AJAX ?
		$('#calendar').fullCalendar( 'renderEvent', event, true);


	});
	</script>
</body>
</html>
